#
# spec file for package ghc-irc-conduit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name irc-conduit
Name:           ghc-%{pkg_name}
Version:        0.1.2.0
Release:        6.11
Summary:        Streaming IRC message library using conduits
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-conduit-extra-devel
BuildRequires:  ghc-connection-devel
BuildRequires:  ghc-irc-ctcp-devel
BuildRequires:  ghc-irc-devel
BuildRequires:  ghc-network-conduit-tls-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-tls-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-x509-validation-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IRC messages consist of an optional identifying prefix, a command name, and a
list of arguments. The <http://hackage.haskell.org/package/irc irc> package
provides a low-level decoding and encoding scheme for messages in terms of
ByteStrings, but using this relies on matching names of commands as strings,
and unpacking this decoded structure yourself. This package takes it a little
further, providing an ADT for IRC messages and sources, and conduits which
attempt to decode and encode messages appropriately.

In addition to providing conduits for automatically handling streaming
messages, there are also helper functions for connecting to an IRC server and
hooking up conduits to the socket.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.2.0 revision 0 with cabal2obs.
